Bug 1119343 - Requires package desktop-backgrounds-basic outside of EPEL/RHEL
Summary: Requires package desktop-backgrounds-basic outside of EPEL/RHEL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: xfdesktop
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 14:50 UTC by Don Hoover
Modified: 2014-07-21 00:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-20 23:58:23 UTC


Attachments (Terms of Use)

Description Don Hoover 2014-07-14 14:50:45 UTC
Description of problem:
This requires a package  desktop-backgrounds-basic which is not available via EPEL or in RHEL.

Version-Release number of selected component (if applicable):


How reproducible:
Install xfdesktop.

Steps to Reproduce:
"yum install xfdesktop" on RHEL7 workstation

Actual results:
Error: Package: xfdesktop-4.10.2-2.el7.x86_64 (epel)
           Requires: desktop-backgrounds-basic

Comment 1 Mukundan Ragavan 2014-07-15 00:50:43 UTC
Thank you for reporting this. I will looking into this at the earliest.

Comment 2 Tom Bishop 2014-07-20 18:00:24 UTC
+1 went to install xfce on a fresh install of Centos 7 and received the same error.

Comment 3 Mukundan Ragavan 2014-07-20 21:36:01 UTC
I will try to get this fixed today. Thanks for testing! :)

Comment 4 Mukundan Ragavan 2014-07-20 23:58:23 UTC
gnome-backgrounds has been added as a dependency for EPEL-7. The latest build should solve this issue.

https://koji.fedoraproject.org/koji/buildinfo?buildID=546034

This is what I see on my Centos 7 VM running KDE - 


[root@localhost Downloads]# yum install xfdesktop-4.10.2-3.el7.x86_64.rpm
Loaded plugins: fastestmirror, langpacks
Examining xfdesktop-4.10.2-3.el7.x86_64.rpm: xfdesktop-4.10.2-3.el7.x86_64
Marking xfdesktop-4.10.2-3.el7.x86_64.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package xfdesktop.x86_64 0:4.10.2-3.el7 will be installed
--> Processing Dependency: gnome-backgrounds for package: xfdesktop-4.10.2-3.el7.x86_64
Loading mirror speeds from cached hostfile
 * base: ftpmirror.your.org
 * epel: mirror.utexas.edu
 * extras: yum.tamu.edu
 * updates: mirrors.loosefoot.com
--> Running transaction check
---> Package gnome-backgrounds.noarch 0:3.8.1-3.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package            Arch    Version       Repository                       Size
================================================================================
Installing:
 xfdesktop          x86_64  4.10.2-3.el7  /xfdesktop-4.10.2-3.el7.x86_64  2.3 M
Installing for dependencies:
 gnome-backgrounds  noarch  3.8.1-3.el7   base                            9.2 M

Transaction Summary
================================================================================
Install  1 Package (+1 Dependent package)

Total size: 11 M
Total download size: 9.2 M
Installed size: 12 M
Is this ok [y/d/N]: y
Downloading packages:
gnome-backgrounds-3.8.1-3.el7.noarch.rpm                   | 9.2 MB   00:05     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : gnome-backgrounds-3.8.1-3.el7.noarch                         1/2 
  Installing : xfdesktop-4.10.2-3.el7.x86_64                                2/2 
  Verifying  : gnome-backgrounds-3.8.1-3.el7.noarch                         1/2 
  Verifying  : xfdesktop-4.10.2-3.el7.x86_64                                2/2 

Installed:
  xfdesktop.x86_64 0:4.10.2-3.el7                                               

Dependency Installed:
  gnome-backgrounds.noarch 0:3.8.1-3.el7                                        

Complete!

Comment 5 Tom Bishop 2014-07-21 00:39:22 UTC
Here is what I am seeing on a Centos 7 clean install, running this command:

yum groupinstall xfce


Error: Package: xfdesktop-4.10.2-2.el7.x86_64 (epel)
           Requires: desktop-backgrounds-basic

Comment 6 Mukundan Ragavan 2014-07-21 00:41:43 UTC
(In reply to Tom Bishop from comment #5)
> Here is what I am seeing on a Centos 7 clean install, running this command:
> 
> yum groupinstall xfce
> 
> 
> Error: Package: xfdesktop-4.10.2-2.el7.x86_64 (epel)
>            Requires: desktop-backgrounds-basic



Notice the difference in the package versions

-2 vs -3.

The package built on koji might not have been pushed to the mirrors probably.

Comment 7 Tom Bishop 2014-07-21 00:46:40 UTC
(In reply to Mukundan Ragavan from comment #6)
> (In reply to Tom Bishop from comment #5)
> > Here is what I am seeing on a Centos 7 clean install, running this command:
> > 
> > yum groupinstall xfce
> > 
> > 
> > Error: Package: xfdesktop-4.10.2-2.el7.x86_64 (epel)
> >            Requires: desktop-backgrounds-basic
> 
> 
> 
> Notice the difference in the package versions
> 
> -2 vs -3.
> 
> The package built on koji might not have been pushed to the mirrors probably.

+1 I will wait and test tomorrow, thanks. :)

Comment 8 Mukundan Ragavan 2014-07-21 00:47:50 UTC
Please do and let us know if you notice anything weird. Thanks for testing! :)


Note You need to log in before you can comment on or make changes to this bug.